﻿using System.Data;
using Infragistics.Controls.Grids;

namespace WpfApplication5
{
    internal class DataTableXamGrid : XamGrid
    {
        public DataTableXamGrid()
        {
            DataObjectRequested += DataTableXamGrid_DataObjectRequested;
        }

        protected void DataTableXamGrid_DataObjectRequested(object sender, DataObjectCreationEventArgs e)
        {
            var grid = sender as DataTableXamGrid;
            if (grid == null || !(grid.ItemsSource is DataView))
                return;

            if (e.ObjectType == typeof (DataRowView))
                e.NewObject = new DataView((grid.ItemsSource as DataView).Table).AddNew();
        }
    }
}