﻿using System;
using System.Data;

namespace WpfApplication5
{
    internal class ViewModel : ViewModelBase
    {
        private readonly DataTable _table;

        public ViewModel()
        {
            _table = new DataTable("Recipes");
            _table.Columns.AddRange(new[]
            {
                new DataColumn("Id", typeof (Int32)),
                new DataColumn("Name", typeof (String))
            });
            _table.PrimaryKey = new[] {_table.Columns["Id"]};
            _table.Columns["Id"].AutoIncrement = true;
            _table.Columns["Id"].AutoIncrementSeed = 1;
            _table.Columns["Id"].AutoIncrementStep = 1;

            var r = _table.NewRow();
            r["Id"] = 1;
            r["Name"] = "asdf";
            _table.Rows.Add(r);
            //r.Delete();
        }

        public DataView Recipes
        {
            get { return _table.DefaultView; }
        }
    }
}
